apiVersion: nmstate.io/v1
kind: NodeNetworkConfigurationPolicy
metadata:
  name: vlan-eno8403
spec:
  nodeSelector:
    kubernetes.io/hostname: dell-per750-44.lab.eng.pek2.redhat.com
  desiredState:
    interfaces:
    - name: eno8403.20
      type: vlan
      state: up
      vlan:
        base-iface: eno8403
        id: 20
      ipv4:
        dhcp: false
        address:
          - ip: 192.168.20.5
            prefix-length: 24
        enabled: true
    routes:
      config:
      - destination: 192.168.20.0/24
        next-hop-address: 192.168.20.1
        next-hop-interface: eno8403.20
